Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List products in a price list

Returns all products that have a price override within this price list.

GET/price_lists/{id}/products
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired

Price list ID

Query parameters
pageinteger
default: 1
per_pageinteger
default: 20
Responses
200

Products in this price list

_embeddedobject
Show properties
itemsobject[]
Show properties
Array of object
idinteger
product_idinteger
namestring
slugstring
priceinteger
price_comparisoninteger
retail_priceinteger

Original (non-price-list) price, in cents

404

Price list not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/price_lists/10/products' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_class": [
    "results",
    "priceListProducts"
  ],
  "total_items": 3,
  "_embedded": {
    "items": [
      {
        "id": 101,
        "product_id": 101,
        "name": "Summer Dress",
        "slug": "summer-dress",
        "price": 3999,
        "retail_price": 4999,
        "_embedded": {
          "price_items": [
            {
              "id": 201,
              "variant_id": 201,
              "price": 3999
            }
          ]
        }
      }
    ]
  }
}

Was this page helpful?